from django.shortcuts import render, redirect
from .forms import UserForm, TransportasiForm
from django.contrib import messages

def combined_form_view(request):
    if request.method == "POST":
        user_form = UserForm(request.POST)
        transportasi_form = TransportasiForm(request.POST)

        if user_form.is_valid() and transportasi_form.is_valid():
            user_form.save()
            transportasi_form.save()
            messages.success(request, "Data berhasil disimpan!")
            return redirect('home') 

        else:
            messages.error(request, "Periksa kembali data yang dimasukkan.")
    else:
        user_form = UserForm()
        transportasi_form = TransportasiForm()

    return render(request, "main.html", {
        "user_form": user_form,
        "transportasi_form": transportasi_form
    })
